##### ssl::context::add_certificate_authority (2 of 2 overloads)

Add certification authority for performing verification.

    void add_certificate_authority(
        const const_buffer & ca,
        asio::error_code & ec);

This function is used to add one trusted certification authority from a memory buffer.

###### Parameters

ca

  The buffer containing the certification authority certificate. The certificate must use the PEM format.

ec

  Set to indicate what error occurred, if any.

###### Remarks

Calls `SSL_CTX_get_cert_store` and `X509_STORE_add_cert`.